Skip to main content
GET
List

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

app_id
string
required

The application that owns the resource server.

access_profile_id
string
required

The access profile to list bindings for.

Query Parameters

page_size
integer<int32>

Page size (max 100).

page_token
string

Page token for pagination.

Response

200 - application/json

XAAAccessProfileScopeBindingServiceListResponse returns scope bindings.

XAAAccessProfileScopeBindingServiceListResponse returns scope bindings.

bindings
Xaa Access Profile Scope Binding · object[] | null

The page of scope bindings.

nextPageToken
string

Token for the next page, or empty if there are no more results.